> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.autocompletemode.md).

# AutoCompleteMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the mode for the automatic completion feature used in the [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum AutoCompleteMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum AutoCompleteMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name               | Description                                                                                                                                                                                                                                                    |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Append**         | Appends the remainder of the most likely candidate string to the existing characters, highlighting the appended text. If the drop-down list is open, scrolls the first item that matches the typed text into view.                                             |
| **AppendFilter**   | Appends the remainder of the most likely candidate string to the existing characters, highlighting the appended text. If the drop-down list is open, filters the items in the list to show only the ones that begin with the typed text.                       |
| **Filter**         | Automatically shows the drop-down list as soon as the user starts typing, filters the items in the list to show only the ones that begin with the typed text.                                                                                                  |
| **FilterAnywhere** | <p>Automatically shows the drop-down list as soon as the user starts typing, filters the items in the list to show only the ones that contain the typed text anywhere.<br><mark style="color:blue;background-color:green;">Since 3.5.6</mark></p>              |
| **FilterAppend**   | Appends the remainder of the most likely candidate string to the existing characters, highlighting the appended text. If the drop-down list is open, filters the items in the list to show only the ones that begin with the typed text.                       |
| **None**           | If the drop-down list is already open, scrolls the first item that matches the text into view.                                                                                                                                                                 |
| **Suggest**        | Automatically shows the drop-down list as soon as the user starts typing and scrolls the first item that matches the text into view.                                                                                                                           |
| **SuggestAppend**  | Automatically shows the drop-down list as soon as the user starts typing and appends the remainder of the most likely candidate string to the existing characters, highlighting the appended text, and scrolls the first item that matches the text into view. |

## Used By

| Name                                                                                                                                                      | Description                                                                                                                                                               |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ComboBox.AutoCompleteMode](/api/wisej.web/lists-and-grids/combobox.md#autocompletemode)                                                                  | Returns or sets how automatic completion works for the [ComboBox](/api/wisej.web/lists-and-grids/combobox.md).                                                            |
| [DataGridViewComboBoxCell.AutoCompleteMode](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md#autocompletemode)           | Returns or sets how automatic completion works for the [DataGridViewComboBoxColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md). |
| [DataGridViewComboBoxColumn.AutoCompleteMode](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md#autocompletemode)       | Returns or sets how automatic completion works for the [DataGridViewComboBoxColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md). |
| [ComboBoxExtensions.AutoCompleteMode](/api/wisej.web.markup/extensions/wisej.web.markup.comboboxextensions.md#autocompletemode-combobox-autocompletemode) | Sets the AutoCompleteMode property of the specified [ComboBox](/api/wisej.web/lists-and-grids/combobox.md).                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.autocompletemode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
